Mutation
mutation RefreshScxSellerAttributeDefinitions($request: RefreshScxSellerAttributeDefinitionsCommandRequestInput!) {
RefreshScxSellerAttributeDefinitions(request: $request)
}Variables
{
"request": {
"salesChannelId": "string"
}
}Response
{
"data": {
"RefreshScxSellerAttributeDefinitions": true
}
}Mutations
RefreshScxSellerAttributeDefinitions
Refreshes the seller attribute definitions of an SCX seller from the marketplace, as delivered by “GET /v2/scx/sellers//attributes” or “QueryScxSellerAttribute”. The refresh is done right away, even if the definitions were refreshed shortly before. The call refreshes definitions only and writes no attribute values. Attribute definitions that the marketplace no longer lists may be removed. Calls to the marketplace are rate limited by the marketplace. If the limit is reached, the call fails with the error SCX_ATTRIBUTE_SYNC_FAILED.
If a request with this mutation’s Idempotency-Key was already completed, the response’s extensions contains an idempotency.{responseName} entry with wasReplayed: true.
MUTATION
RefreshScxSellerAttributeDefinitions(request: RefreshScxSellerAttributeDefinitionsCommandRequestInput!): Boolean!Arguments
request
Returns
Boolean!
Mutation
mutation RefreshScxSellerAttributeDefinitions($request: RefreshScxSellerAttributeDefinitionsCommandRequestInput!) {
RefreshScxSellerAttributeDefinitions(request: $request)
}Variables
{
"request": {
"salesChannelId": "string"
}
}Response
{
"data": {
"RefreshScxSellerAttributeDefinitions": true
}
}Was this page helpful?